<!DOCTYPE html>
<html>
<head>
	<title></title>
</head>
<style type="text/css">
	body{
		margin:0;
		height:100vh;
		width: 100vw;
		display: flex;
		justify-content: center;
		align-items: center;
	}
	div{
		border-width: 2px;
		border-style: solid;
		height:300px;
		width:300px;
		border-radius: 50%;
		position: absolute;
	}
	#red{
		border-color: red;
	}
	#blue{
		border-color: blue;
	}
	#green{
		border-color: green;
	}
	#fixed{
		/*height:50px;
		width: 100px;*/
		border:1px solid black;
	/*	padding:10px;*/
		/*transform: translate(12px, 40px);*/
	}
</style>
<body>
	<div id="red"></div>
	<div id="blue"></div>
	<div id="green"></div>
	<div id="fixed"></div>
</body>
<script type="text/javascript">
	// setInterval(function(){alert("hahahha");},3000);

	document.body.addEventListener('mousemove', function(e){
		let x,y,height,width,newX,newY,red,blue,green;
		x=e.clientX;
		y=e.clientY;
		height= window.innerHeight/2;
		width= window.innerWidth/2;
		newX=x-width;
		newY=y-height;
		red=document.getElementById('red');
		blue=document.getElementById('blue');
		green=document.getElementById('green');
		document.getElementById('fixed').innerHTML= newX+ "  " + newY;

		red.style.transform = `translate(${-newX*.5}px, ${-newY*.5}px)`;
		green.style.transform = "translate(" + -newY * 0.3 + "px," + -newX *0.3+ "px)";
		blue.style.transform = "translate("+ -newX * .1 + "px,"+ -newY *.1 + "px)";
	});
</script>
</html>